/*
 * For this file, which was received with alternative licensing options for
 * distribution, Qualcomm Technologies, Inc. has selected the BSD license.
 */

/*
 * This Synopsys software and associated documentation (hereinafter the
 * "Software") is an unsupported proprietary work of Synopsys, Inc. unless
 * otherwise expressly agreed to in writing between Synopsys and you. The
 * Software IS NOT an item of Licensed Software or a Licensed Product under
 * any End User Software License Agreement or Agreement for Licensed Products
 * with Synopsys or any supplement thereto. Synopsys is a registered trademark
 * of Synopsys, Inc. Other names included in the SOFTWARE may be the
 * trademarks of their respective owners.
 *
 * The contents of this file are dual-licensed; you may select either version
 * 2 of the GNU General Public License ("GPL") or the BSD-3-Clause license
 * ("BSD-3-Clause"). The GPL is included in the COPYING file accompanying the
 * SOFTWARE. The BSD License is copied below.
 *
 * BSD-3-Clause License:
 * Copyright (c) 2024 Synopsys, Inc. and/or its affiliates.
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 *    this list of conditions, and the following disclaimer, without
 *    modification.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * 3. The names of the above-listed copyright holders may not be used to
 *    endorse or promote products derived from this software without specific
 *    prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef __ELPPKA_FW_H__
#define __ELPPKA_FW_H__


static const uint16_t g_pka_cmd_addresses[] = {
	0x0417,
	0x0416,
	0x000d,
	0x0410,
	0x0411,
	0x0412,
	0x0415,
	0x0414,
	0x000b,
	0x000c,
	0x000a,
	0x000e,
	0x000f,
	0x0421,
	0x041f,
	0x0420,
	0x040b,
	0x040d,
	0x0413,
	0x040e,
	0x040a,
	0x040c,
	0x041b,
	0x041c,
	0x0419,
	0x041a,
	0x0418,
	0x041d,
	0x040f,
	0x0422,
	0x041e
};


const uint32_t g_pka_fw_rom_data_size = 9;

uint32_t g_pka_fw_ram_data_size = 649;

static const uint32_t g_pka_fw_ram_data[] = {
	0xf8000009,
	0xf88757ca,
	0xf84acb37,
	0xf8ac5c86,
	0xf881b1c1,
	0xf8bf9590,
	0xf84c7a0a,
	0xf8000032,
	0xf8000280,
	0x24000000,
	0x20000011,
	0x20000013,
	0x20000015,
	0x20000017,
	0x20000019,
	0x2000001b,
	0x20000218,
	0x2200001d,
	0x00000000,
	0x22000025,
	0x00000000,
	0x22000036,
	0x00000000,
	0x2200003f,
	0x00000000,
	0x220000e1,
	0x00000000,
	0x220001ec,
	0x00000000,
	0x2200078d,
	0x31800021,
	0x2200009d,
	0x20000022,
	0x2200009b,
	0x2200008f,
	0x220000af,
	0x24000000,
	0x220000cd,
	0x22000642,
	0x3180002a,
	0x2200009d,
	0x2000002b,
	0x2200009b,
	0x220000d9,
	0x220000d0,
	0x31800030,
	0x2200009d,
	0x20000031,
	0x2200009b,
	0x220000dd,
	0x22000180,
	0x2200064e,
	0x220000af,
	0x24000000,
	0x31800039,
	0x2200009d,
	0x2000003a,
	0x2200009b,
	0x22000647,
	0x220001bb,
	0x2200064e,
	0x220000af,
	0x24000000,
	0x2200078d,
	0x31800043,
	0x220000a9,
	0x20000044,
	0x220000a7,
	0x22000101,
	0x220000b9,
	0x24000000,
	0x10000000,
	0x42008000,
	0x11000000,
	0x41000400,
	0x40000c40,
	0x43000200,
	0x08c00000,
	0x6ac04000,
	0x08c00001,
	0x6ac04000,
	0x08c00004,
	0x6ac04000,
	0xc8114000,
	0x43000440,
	0x43000640,
	0x10000000,
	0xd0100700,
	0x4000c540,
	0x4200c100,
	0x42002300,
	0x42006140,
	0xd81c2d00,
	0x33400067,
	0xd8142f00,
	0x33400069,
	0xd81c6500,
	0x3340006b,
	0xd8142340,
	0x33400071,
	0xd80dc000,
	0x33400075,
	0x2000008d,
	0xd81c2d00,
	0x33400077,
	0xd8146700,
	0x33400083,
	0xd81c2340,
	0x3340007f,
	0xd80dc000,
	0x33400075,
	0x4000a140,
	0x2000008d,
	0xd814c000,
	0x3340008b,
	0x4000a140,
	0x2000008d,
	0x40006800,
	0x2000008d,
	0xd81c6500,
	0x3340006b,
	0xd8142700,
	0x33400071,
	0xd81ca800,
	0x33400089,
	0x4000a140,
	0x2000008d,
	0xd81ca800,
	0x33400089,
	0x4000a140,
	0x2000008d,
	0xd8142700,
	0x33400071,
	0xd81ca800,
	0x33400089,
	0x4000a140,
	0x2000008d,
	0x4000e000,
	0x2000008d,
	0x4000a000,
	0x2000008d,
	0x11000000,
	0x24000000,
	0x220000c0,
	0x50a0f800,
	0x11a00000,
	0x2200064e,
	0x220001bb,
	0x68a0f800,
	0x31600098,
	0x2200064e,
	0x22000180,
	0x28a00092,
	0x2200064e,
	0x24000000,
	0x44000480,
	0x24000000,
	0x40003f40,
	0xc802ec00,
	0x22000047,
	0x40000200,
	0x40004080,
	0xc80aec00,
	0x22000047,
	0x40000280,
	0x4000ec80,
	0x24000000,
	0x44000280,
	0x24000000,
	0x40003a80,
	0xc8025400,
	0x22000047,
	0x40000400,
	0x40008080,
	0x24000000,
	0x22000786,
	0x40009f80,
	0xc803f400,
	0x22000047,
	0x40000200,
	0x40004080,
	0xc80bf400,
	0x22000047,
	0x40000280,
	0x24000000,
	0x22000786,
	0x40009f80,
	0xc803f400,
	0x22000047,
	0x40000200,
	0x40004080,
	0x24000000,
	0x40001200,
	0x40004100,
	0x40005000,
	0x40000300,
	0x40009200,
	0x40004500,
	0x24000000,
	0x40001340,
	0x40005140,
	0x24000000,
	0x40006880,
	0x40002a80,
	0x24000000,
	0x40001300,
	0x40005100,
	0x24000000,
	0x40006080,
	0x40002280,
	0x24000000,
	0x400013c0,
	0x400051c0,
	0x24000000,
	0x40007880,
	0x40003a80,
	0x24000000,
	0x40001380,
	0x40005580,
	0x40009180,
	0x24000000,
	0x400070c0,
	0x4000b2c0,
	0x400034c0,
	0x24000000,
	0xd902c000,
	0x330000ff,
	0x314000ff,
	0xd90ac000,
	0x330000ff,
	0x314000ff,
	0x40001200,
	0xca024400,
	0x22000047,
	0x40000780,
	0xd8180400,
	0x2200047f,
	0x400002c0,
	0x40005000,
	0xca0a0400,
	0x22000047,
	0x40000380,
	0xd00b0400,
	0x220004bc,
	0x40000340,
	0xc81e7400,
	0x22000047,
	0x4000aa00,
	0xc8004400,
	0x22000047,
	0x44000200,
	0xd0004400,
	0x220004bc,
	0xd90d0000,
	0x20000100,
	0x48000000,
	0x24000000,
	0x22000119,
	0x2200011d,
	0x2200012a,
	0x22000143,
	0x22000122,
	0x50a0f800,
	0x11a00000,
	0x68a0f800,
	0x31600110,
	0x22000126,
	0x2200012a,
	0x22000143,
	0x22000122,
	0x2200012e,
	0x20000116,
	0x2200013b,
	0x2200013f,
	0x22000143,
	0x22000119,
	0x22000132,
	0x20000116,
	0x28a00108,
	0x22000136,
	0x24000000,
	0x40001200,
	0x40004180,
	0x40005580,
	0x24000000,
	0x40001200,
	0x40004100,
	0x40005000,
	0x40000300,
	0x24000000,
	0x40001200,
	0x400041c0,
	0x400055c0,
	0x24000000,
	0x40003a00,
	0x40004080,
	0x4000ba80,
	0x24000000,
	0x40003200,
	0x400040c0,
	0x4000b2c0,
	0x24000000,
	0x40001a00,
	0x40004180,
	0x40005d80,
	0x24000000,
	0x40001a00,
	0x400041c0,
	0x40005dc0,
	0x24000000,
	0x40003200,
	0x400040c0,
	0x4000b200,
	0x400044c0,
	0x24000000,
	0x40003200,
	0x40004080,
	0x4000b280,
	0x24000000,
	0x40003a00,
	0x400040c0,
	0x4000bac0,
	0x24000000,
	0xd8025400,
	0x2200047f,
	0x40000380,
	0xd0025400,
	0x220004bc,
	0x40000700,
	0xd8035c00,
	0x2200047f,
	0x40000480,
	0xd0035c00,
	0x220004bc,
	0xc8007400,
	0x22000047,
	0x40000780,
	0x40009000,
	0xc800e400,
	0x22000047,
	0x400003c0,
	0xd01e7c00,
	0x220004bc,
	0x40000200,
	0xca004400,
	0x22000047,
	0xc8006400,
	0x22000047,
	0x400004c0,
	0xd81e7c00,
	0x2200047f,
	0x40000200,
	0xca004400,
	0x22000047,
	0x40002200,
	0xc8004400,
	0x22000047,
	0x40000500,
	0x40007000,
	0xca0e0400,
	0x22000047,
	0x40000380,
	0x4000e000,
	0xca00e400,
	0x22000047,
	0x40000780,
	0xd8007400,
	0x2200047f,
	0x40000700,
	0xc800d400,
	0x22000047,
	0xd00e0400,
	0x220004bc,
	0xc800e400,
	0x22000047,
	0x40000700,
	0xc80ef400,
	0x22000047,
	0x4000a2c0,
	0x400098c0,
	0x4000e280,
	0x40000200,
	0x40004080,
	0x24000000,
	0x40009200,
	0x40009800,
	0xc8004400,
	0x22000047,
	0x40000680,
	0xca00d400,
	0x22000047,
	0x400006c0,
	0x40001a00,
	0xc8024400,
	0x22000047,
	0x40000700,
	0x40005800,
	0xc8005400,
	0x22000047,
	0x40000740,
	0x4000aa00,
	0xc8004400,
	0x22000047,
	0xc800e400,
	0x22000047,
	0x40000200,
	0xd81b4400,
	0x2200047f,
	0x40000300,
	0xd01b4400,
	0x220004bc,
	0x400006c0,
	0xd0025400,
	0x220004bc,
	0x40000240,
	0xd0035c00,
	0x220004bc,
	0xc8004c00,
	0x22000047,
	0xd800e400,
	0x2200047f,
	0xd800ec00,
	0x2200047f,
	0xc8006400,
	0x22000047,
	0xc800d400,
	0x22000047,
	0x40000200,
	0x40004100,
	0x4000ea00,
	0xd01c4400,
	0x220004bc,
	0xc800dc00,
	0x22000047,
	0xc800d400,
	0x22000047,
	0x40006680,
	0x40000300,
	0x4000d800,
	0xc800d400,
	0x22000047,
	0x40000500,
	0x24000000,
	0xd0035c00,
	0x220004bc,
	0x40000200,
	0xca004400,
	0x22000047,
	0x40000500,
	0x40001a00,
	0xca034400,
	0x22000047,
	0x40000300,
	0x40005800,
	0xca005c00,
	0x22000047,
	0x40000700,
	0xd8186400,
	0x2200047f,
	0x40000680,
	0xd81c6400,
	0x2200047f,
	0x400006c0,
	0x40009800,
	0x40009a00,
	0xca004400,
	0x22000047,
	0x42000400,
	0x220004bc,
	0xd81b0400,
	0x2200047f,
	0x40000740,
	0xd8146000,
	0x40000400,
	0x2200047f,
	0xd800e400,
	0x2200047f,
	0xc800ec00,
	0x22000047,
	0x40000200,
	0x40004100,
	0x4000e000,
	0xd81a0400,
	0x2200047f,
	0xc800dc00,
	0x22000047,
	0x40000300,
	0x4000d800,
	0xc800ec00,
	0x22000047,
	0x40000500,
	0x24000000,
	0x40000480,
	0x44000000,
	0x440006c0,
	0x318001f4,
	0x09800000,
	0x11800000,
	0x11800000,
	0x200001f7,
	0x5180d000,
	0x310001f7,
	0x20000207,
	0x2200020b,
	0x6880d000,
	0x31600200,
	0x200001fb,
	0x40009200,
	0x40000240,
	0x22000208,
	0x40004840,
	0x20000206,
	0x26200206,
	0x40009200,
	0x40000240,
	0x22000208,
	0x40004800,
	0x20000206,
	0x288001f7,
	0x24000000,
	0xc8004400,
	0x22000047,
	0x24000000,
	0x40000200,
	0xca004400,
	0x22000047,
	0x24000000,
	0xc8004400,
	0x31a00213,
	0x46008200,
	0x40004440,
	0x00000000,
	0xd0004400,
	0x00000000,
	0xd8004400,
	0x00000000,
	0x2200021a,
	0x00000000,
	0x4000fa00,
	0x40002fc0,
	0x2200078d,
	0x40006fc0,
	0x2200078d,
	0x400047c0,
	0x22000779,
	0x330007f7,
	0x2200077f,
	0x330007f7,
	0x220000cd,
	0x22000642,
	0x31800229,
	0x2200009d,
	0x2000022a,
	0x2200009b,
	0x220000d9,
	0x220000d0,
	0x3180022f,
	0x2200009d,
	0x20000230,
	0x2200009b,
	0x220000dd,
	0x22000234,
	0x220000af,
	0x24000000,
	0x2200025c,
	0xe0056c00,
	0x33000239,
	0x22000180,
	0x22000262,
	0x50c02800,
	0x50e06800,
	0x159b8000,
	0x33400241,
	0x33000244,
	0x22000647,
	0x16980000,
	0x20000247,
	0x20000242,
	0x169c0000,
	0x20000247,
	0x22000280,
	0x169c0000,
	0x20000247,
	0x11800000,
	0x220001bb,
	0x2200064e,
	0x68802800,
	0x31600250,
	0x68806800,
	0x31600254,
	0x22000268,
	0x20000257,
	0x68806800,
	0x31600256,
	0x22000277,
	0x20000257,
	0x2200026e,
	0x20000257,
	0x20000259,
	0x22000180,
	0x2200064e,
	0x28800248,
	0x2200064e,
	0x24000000,
	0x10000000,
	0x40000bc0,
	0x40004dc0,
	0x400089c0,
	0x11000000,
	0x24000000,
	0x10000000,
	0x40001380,
	0x40005580,
	0x40009180,
	0x11000000,
	0x24000000,
	0x10000000,
	0x400074c0,
	0x4000b0c0,
	0x400032c0,
	0x11000000,
	0x20000273,
	0x10000000,
	0x40007cc0,
	0x4000b8c0,
	0x40003ac0,
	0x11000000,
	0x4000b080,
	0x40003280,
	0x40007480,
	0x24000000,
	0x10000000,
	0x40007cc0,
	0x4000b8c0,
	0x40003ac0,
	0x11000000,
	0x4000b880,
	0x40003a80,
	0x40007c80,
	0x24000000,
	0x10000000,
	0x400074c0,
	0x4000b0c0,
	0x400032c0,
	0x11000000,
	0x4000b0c0,
	0x400032c0,
	0x400074c0,
	0x24000000
};



#endif // __FIRMWARE_H__



